Get incident notification template

Note: This endpoint is in Preview. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/incidents/config/notification-templates/{id}https://api.ap2.datadoghq.com/api/v2/incidents/config/notification-templates/{id}https://api.datadoghq.eu/api/v2/incidents/config/notification-templates/{id}https://api.ddog-gov.com/api/v2/incidents/config/notification-templates/{id}https://api.us2.ddog-gov.com/api/v2/incidents/config/notification-templates/{id}https://api.datadoghq.com/api/v2/incidents/config/notification-templates/{id}https://api.us3.datadoghq.com/api/v2/incidents/config/notification-templates/{id}https://api.us5.datadoghq.com/api/v2/incidents/config/notification-templates/{id}

Overview

Retrieves a specific notification template by its ID. This endpoint requires any of the following permissions:

  • incident_settings_read
  • incident_write
  • incident_read

  • OAuth apps require the incident_read, incident_write authorization scope to access this endpoint.

    Arguments

    Path Parameters

    Name

    Type

    Description

    id [required]

    string

    The ID of the notification template.

    Query Strings

    Name

    Type

    Description

    include

    string

    Comma-separated list of relationships to include. Supported values: created_by_user, last_modified_by_user, incident_type

    Response

    OK

    Response with a notification template.

    Expand All

    Field

    Type

    Description

    data [required]

    object

    Notification template data from a response.

    attributes

    object

    The notification template's attributes.

    category [required]

    string

    The category of the notification template.

    content [required]

    string

    The content body of the notification template.

    created [required]

    date-time

    Timestamp when the notification template was created.

    modified [required]

    date-time

    Timestamp when the notification template was last modified.

    name [required]

    string

    The name of the notification template.

    subject [required]

    string

    The subject line of the notification template.

    id [required]

    uuid

    The unique identifier of the notification template.

    relationships

    object

    The notification template's resource relationships.

    created_by_user

    object

    Relationship to user.

    data [required]

    object

    Relationship to user object.

    id [required]

    string

    A unique identifier that represents the user.

    type [required]

    enum

    Users resource type. Allowed enum values: users

    default: users

    incident_type

    object

    Relationship to an incident type.

    data [required]

    object

    Relationship to incident type object.

    id [required]

    string

    The incident type's ID.

    type [required]

    enum

    Incident type resource type. Allowed enum values: incident_types

    default: incident_types

    last_modified_by_user

    object

    Relationship to user.

    data [required]

    object

    Relationship to user object.

    id [required]

    string

    A unique identifier that represents the user.

    type [required]

    enum

    Users resource type. Allowed enum values: users

    default: users

    type [required]

    enum

    Notification templates resource type. Allowed enum values: notification_templates

    included

    [ <oneOf>]

    Related objects that are included in the response.

    Option 1

    object

    User object returned by the API.

    attributes

    object

    Attributes of user object returned by the API.

    created_at

    date-time

    The ISO 8601 timestamp of when the user account was created.

    disabled

    boolean

    Whether the user account is deactivated. Disabled users cannot log in.

    email

    string

    The email address of the user, used for login and notifications.

    handle

    string

    The unique handle (username) of the user, typically matching their email prefix.

    icon

    string

    URL of the user's profile icon, typically a Gravatar URL derived from the email address.

    last_login_time

    date-time

    The ISO 8601 timestamp of the user's most recent login, or null if the user has never logged in.

    mfa_enabled

    boolean

    Whether multi-factor authentication (MFA) is enabled for the user's account.

    modified_at

    date-time

    The ISO 8601 timestamp of when the user account was last modified.

    name

    string

    The full display name of the user as shown in the Datadog UI.

    service_account

    boolean

    Whether this is a service account rather than a human user. Service accounts are used for programmatic API access.

    status

    string

    The current status of the user account (for example, Active, Pending, or Disabled).

    title

    string

    The job title of the user (for example, "Senior Engineer" or "Product Manager").

    uuid

    string

    The globally unique identifier (UUID) of the user.

    verified

    boolean

    Whether the user's email address has been verified.

    id

    string

    ID of the user.

    relationships

    object

    Relationships of the user object returned by the API.

    org

    object

    Relationship to an organization.

    data [required]

    object

    Relationship to organization object.

    id [required]

    string

    ID of the organization.

    type [required]

    enum

    Organizations resource type. Allowed enum values: orgs

    default: orgs

    other_orgs

    object

    Relationship to organizations.

    data [required]

    [object]

    Relationships to organization objects.

    id [required]

    string

    ID of the organization.

    type [required]

    enum

    Organizations resource type. Allowed enum values: orgs

    default: orgs

    other_users

    object

    Relationship to users.

    data [required]

    [object]

    Relationships to user objects.

    id [required]

    string

    A unique identifier that represents the user.

    type [required]

    enum

    Users resource type. Allowed enum values: users

    default: users

    roles

    object

    Relationship to roles.

    data

    [object]

    An array containing type and the unique identifier of a role.

    id

    string

    The unique identifier of the role.

    type

    enum

    Roles type. Allowed enum values: roles

    default: roles

    type

    enum

    Users resource type. Allowed enum values: users

    default: users

    Option 2

    object

    Incident type response data.

    attributes

    object

    Incident type's attributes.

    createdAt

    date-time

    Timestamp when the incident type was created.

    createdBy

    string

    A unique identifier that represents the user that created the incident type.

    description

    string

    Text that describes the incident type.

    is_default

    boolean

    If true, this incident type will be used as the default incident type if a type is not specified during the creation of incident resources.

    lastModifiedBy

    string

    A unique identifier that represents the user that last modified the incident type.

    modifiedAt

    date-time

    Timestamp when the incident type was last modified.

    name [required]

    string

    The name of the incident type.

    prefix

    string

    The string that will be prepended to the incident title across the Datadog app.

    id [required]

    string

    The incident type's ID.

    relationships

    object

    The incident type's resource relationships.

    created_by_user

    object

    Relationship to user.

    data [required]

    object

    Relationship to user object.

    id [required]

    string

    A unique identifier that represents the user.

    type [required]

    enum

    Users resource type. Allowed enum values: users

    default: users

    google_meet_configuration

    object

    A reference to a Google Meet Configuration resource.

    data [required]

    object

    The Google Meet configuration relationship data object.

    id [required]

    string

    The unique identifier of the Google Meet configuration.

    type [required]

    string

    The type of the Google Meet configuration.

    last_modified_by_user

    object

    Relationship to user.

    data [required]

    object

    Relationship to user object.

    id [required]

    string

    A unique identifier that represents the user.

    type [required]

    enum

    Users resource type. Allowed enum values: users

    default: users

    microsoft_teams_configuration

    object

    A reference to a Microsoft Teams Configuration resource.

    data [required]

    object

    The Microsoft Teams configuration relationship data object.

    id [required]

    string

    The unique identifier of the Microsoft Teams configuration.

    type [required]

    string

    The type of the Microsoft Teams configuration.

    zoom_configuration

    object

    A reference to a Zoom configuration resource.

    data [required]

    object

    The Zoom configuration relationship data object.

    id [required]

    string

    The unique identifier of the Zoom configuration.

    type [required]

    string

    The type of the Zoom configuration.

    type [required]

    enum

    Incident type resource type. Allowed enum values: incident_types

    default: incident_types

    {
      "data": {
        "attributes": {
          "category": "alert",
          "content": "An incident has been declared.\n\nTitle: {{incident.title}}\nSeverity: {{incident.severity}}\nAffected Services: {{incident.services}}\nStatus: {{incident.state}}\n\nPlease join the incident channel for updates.",
          "created": "2025-01-15T10:30:00Z",
          "modified": "2025-01-15T14:45:00Z",
          "name": "Incident Alert Template",
          "subject": "{{incident.severity}} Incident: {{incident.title}}"
        },
        "id": "00000000-0000-0000-0000-000000000001",
        "relationships": {
          "created_by_user": {
            "data": {
              "id": "00000000-0000-0000-2345-000000000000",
              "type": "users"
            }
          },
          "incident_type": {
            "data": {
              "id": "00000000-0000-0000-0000-000000000000",
              "type": "incident_types"
            }
          },
          "last_modified_by_user": {
            "data": {
              "id": "00000000-0000-0000-2345-000000000000",
              "type": "users"
            }
          }
        },
        "type": "notification_templates"
      },
      "included": [
        {
          "attributes": {
            "created_at": "2019-09-19T10:00:00.000Z",
            "disabled": false,
            "email": "string",
            "handle": "string",
            "icon": "string",
            "last_login_time": "2019-09-19T10:00:00.000Z",
            "mfa_enabled": false,
            "modified_at": "2019-09-19T10:00:00.000Z",
            "name": "string",
            "service_account": false,
            "status": "string",
            "title": "string",
            "uuid": "string",
            "verified": false
          },
          "id": "string",
          "relationships": {
            "org": {
              "data": {
                "id": "00000000-0000-beef-0000-000000000000",
                "type": "orgs"
              }
            },
            "other_orgs": {
              "data": [
                {
                  "id": "00000000-0000-beef-0000-000000000000",
                  "type": "orgs"
                }
              ]
            },
            "other_users": {
              "data": [
                {
                  "id": "00000000-0000-0000-2345-000000000000",
                  "type": "users"
                }
              ]
            },
            "roles": {
              "data": [
                {
                  "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
                  "type": "roles"
                }
              ]
            }
          },
          "type": "users"
        }
      ]
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Unauthorized

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Forbidden

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export id="00000000-0000-0000-0000-000000000001"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/notification-templates/${id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
    """
    Get incident notification template returns "OK" response
    """
    
    from os import environ
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.incidents_api import IncidentsApi
    
    # there is a valid "notification_template" in the system
    NOTIFICATION_TEMPLATE_DATA_ID = environ["NOTIFICATION_TEMPLATE_DATA_ID"]
    
    configuration = Configuration()
    configuration.unstable_operations["get_incident_notification_template"] = True
    with ApiClient(configuration) as api_client:
        api_instance = IncidentsApi(api_client)
        response = api_instance.get_incident_notification_template(
            id=NOTIFICATION_TEMPLATE_DATA_ID,
        )
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
    # Get incident notification template returns "OK" response
    
    require "datadog_api_client"
    DatadogAPIClient.configure do |config|
      config.unstable_operations["v2.get_incident_notification_template".to_sym] = true
    end
    api_instance = DatadogAPIClient::V2::IncidentsAPI.new
    
    # there is a valid "notification_template" in the system
    NOTIFICATION_TEMPLATE_DATA_ID = ENV["NOTIFICATION_TEMPLATE_DATA_ID"]
    p api_instance.get_incident_notification_template(NOTIFICATION_TEMPLATE_DATA_ID)
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
    // Get incident notification template returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    	"github.com/google/uuid"
    )
    
    func main() {
    	// there is a valid "notification_template" in the system
    	NotificationTemplateDataID := uuid.MustParse(os.Getenv("NOTIFICATION_TEMPLATE_DATA_ID"))
    
    	ctx := datadog.NewDefaultContext(context.Background())
    	configuration := datadog.NewConfiguration()
    	configuration.SetUnstableOperationEnabled("v2.GetIncidentNotificationTemplate", true)
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewIncidentsApi(apiClient)
    	resp, r, err := api.GetIncidentNotificationTemplate(ctx, NotificationTemplateDataID, *datadogV2.NewGetIncidentNotificationTemplateOptionalParameters())
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.GetIncidentNotificationTemplate`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.GetIncidentNotificationTemplate`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
    // Get incident notification template returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.IncidentsApi;
    import com.datadog.api.client.v2.model.IncidentNotificationTemplate;
    import java.util.UUID;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        defaultClient.setUnstableOperationEnabled("v2.getIncidentNotificationTemplate", true);
        IncidentsApi apiInstance = new IncidentsApi(defaultClient);
    
        // there is a valid "notification_template" in the system
        UUID NOTIFICATION_TEMPLATE_DATA_ID = null;
        try {
          NOTIFICATION_TEMPLATE_DATA_ID =
              UUID.fromString(System.getenv("NOTIFICATION_TEMPLATE_DATA_ID"));
        } catch (IllegalArgumentException e) {
          System.err.println("Error parsing UUID: " + e.getMessage());
        }
    
        try {
          IncidentNotificationTemplate result =
              apiInstance.getIncidentNotificationTemplate(NOTIFICATION_TEMPLATE_DATA_ID);
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling IncidentsApi#getIncidentNotificationTemplate");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
    // Get incident notification template returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_incidents::GetIncidentNotificationTemplateOptionalParams;
    use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;
    
    #[tokio::main]
    async fn main() {
        // there is a valid "notification_template" in the system
        let notification_template_data_id =
            uuid::Uuid::parse_str(&std::env::var("NOTIFICATION_TEMPLATE_DATA_ID").unwrap())
                .expect("Invalid UUID");
        let mut configuration = datadog::Configuration::new();
        configuration.set_unstable_operation_enabled("v2.GetIncidentNotificationTemplate", true);
        let api = IncidentsAPI::with_config(configuration);
        let resp = api
            .get_incident_notification_template(
                notification_template_data_id.clone(),
                GetIncidentNotificationTemplateOptionalParams::default(),
            )
            .await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
    /**
     * Get incident notification template returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration();
    configuration.unstableOperations["v2.getIncidentNotificationTemplate"] = true;
    const apiInstance = new v2.IncidentsApi(configuration);
    
    // there is a valid "notification_template" in the system
    const NOTIFICATION_TEMPLATE_DATA_ID = process.env
      .NOTIFICATION_TEMPLATE_DATA_ID as string;
    
    const params: v2.IncidentsApiGetIncidentNotificationTemplateRequest = {
      id: NOTIFICATION_TEMPLATE_DATA_ID,
    };
    
    apiInstance
      .getIncidentNotificationTemplate(params)
      .then((data: v2.IncidentNotificationTemplate) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"